Management APIUsers
Read a user
With their identities (passkeys are at `…/passkeys`), wallets, live sessions and metadata. Needs `org.users.view`.
GET
/v1/orgs/{org}/brands/{brand}/users/{user}With their identities (passkeys are at …/passkeys), wallets, live sessions and metadata. Needs org.users.view.
Authorization
bearer AuthorizationBearer <token>
An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.
In: header
Path Parameters
org*string
brand*string
user*string
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/orgs/string/brands/string/users/string"{ "id": "string", "email": "string", "email_verified": true, "username": "string", "name": "string", "given_name": "string", "family_name": "string", "picture": "string", "locale": "string", "wallets": [ "string" ], "disabled": true, "deletion_scheduled_for": "2019-08-24T14:15:22Z", "last_sign_in_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "metadata": { "property1": null, "property2": null }, "identities": [ { "id": "string", "provider": "string", "subject": "string", "handle": "string", "details": { "account_type": "string", "created_at": "2019-08-24T14:15:22Z", "public_repos": 0, "followers": 0, "email_verified": true, "workspace_domain": "string", "test": true }, "details_read_at": "2019-08-24T14:15:22Z", "label": "string", "primary": true, "last_used_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" } ], "sessions": [ { "id": "string", "signed_in_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "apps": [ "string" ], "via": "hosted" } ]}